diff mbox series

[v9,11/11] doc: support python3 only

Message ID 20200929102224.440322-12-kevin.laatz@intel.com (mailing list archive)
State Superseded, archived
Delegated to: David Marchand
Headers show
Series adding support for python 3 only | expand

Checks

Context Check Description
ci/iol-mellanox-Performance success Performance Testing PASS
ci/travis-robot success Travis build: passed
ci/iol-intel-Performance success Performance Testing PASS
ci/Intel-compilation success Compilation OK
ci/iol-testing success Testing PASS
ci/iol-broadcom-Performance success Performance Testing PASS
ci/iol-intel-Functional success Functional Testing PASS
ci/iol-broadcom-Functional success Functional Testing PASS
ci/checkpatch success coding style OK

Commit Message

Laatz, Kevin Sept. 29, 2020, 10:22 a.m. UTC
Remove references to python 2 from the documentation.

The deprecation notice for python 2 support has been removed. A section
was added to the rel_notes for this patchset.

Cc: Ray Kinsella <mdr@ashroe.eu>
Cc: Neil Horman <nhorman@tuxdriver.com>
Cc: John McNamara <john.mcnamara@intel.com>
Cc: Marko Kovacevic <marko.kovacevic@intel.com>

Signed-off-by: Kevin Laatz <kevin.laatz@intel.com>
---
 doc/guides/contributing/coding_style.rst | 2 +-
 doc/guides/linux_gsg/sys_reqs.rst        | 2 +-
 doc/guides/rel_notes/deprecation.rst     | 6 ------
 doc/guides/rel_notes/release_20_11.rst   | 2 ++
 4 files changed, 4 insertions(+), 8 deletions(-)

Comments

Kinsella, Ray Sept. 30, 2020, 8:18 a.m. UTC | #1
On 29/09/2020 11:22, Kevin Laatz wrote:
> Remove references to python 2 from the documentation.
> 
> The deprecation notice for python 2 support has been removed. A section
> was added to the rel_notes for this patchset.
> 
> Cc: Ray Kinsella <mdr@ashroe.eu>
> Cc: Neil Horman <nhorman@tuxdriver.com>
> Cc: John McNamara <john.mcnamara@intel.com>
> Cc: Marko Kovacevic <marko.kovacevic@intel.com>
> 
> Signed-off-by: Kevin Laatz <kevin.laatz@intel.com>
> ---
>  doc/guides/contributing/coding_style.rst | 2 +-
>  doc/guides/linux_gsg/sys_reqs.rst        | 2 +-
>  doc/guides/rel_notes/deprecation.rst     | 6 ------
>  doc/guides/rel_notes/release_20_11.rst   | 2 ++
>  4 files changed, 4 insertions(+), 8 deletions(-)
> 

Acked-by: Ray Kinsella <mdr@ashroe.eu>

[SNIP]
diff mbox series

Patch

diff --git a/doc/guides/contributing/coding_style.rst b/doc/guides/contributing/coding_style.rst
index 0be9546a6a..4fc010ca49 100644
--- a/doc/guides/contributing/coding_style.rst
+++ b/doc/guides/contributing/coding_style.rst
@@ -765,7 +765,7 @@  specializations, run the ``app/test`` binary, and use the ``dump_log_types``
 Python Code
 -----------
 
-All Python code should work with Python 2.7+ and 3.2+ and be compliant with
+All Python code should work with 3.2+ and be compliant with
 `PEP8 (Style Guide for Python Code) <https://www.python.org/dev/peps/pep-0008/>`_.
 
 The ``pep8`` tool can be used for testing compliance with the guidelines.
diff --git a/doc/guides/linux_gsg/sys_reqs.rst b/doc/guides/linux_gsg/sys_reqs.rst
index 6b9f573fce..66d9723dd6 100644
--- a/doc/guides/linux_gsg/sys_reqs.rst
+++ b/doc/guides/linux_gsg/sys_reqs.rst
@@ -47,7 +47,7 @@  Compilation of the DPDK
 
     * Python v3.5+ is needed to build DPDK using meson and ninja
 
-    * Python 2.7+ or 3.2+, to use various helper scripts included in the DPDK package.
+    * Python 3.2+, to use various helper scripts included in the DPDK package.
 
 *   Meson (version 0.47.1+) and ninja
 
diff --git a/doc/guides/rel_notes/deprecation.rst b/doc/guides/rel_notes/deprecation.rst
index 1f888fa90e..0a7e874b2c 100644
--- a/doc/guides/rel_notes/deprecation.rst
+++ b/doc/guides/rel_notes/deprecation.rst
@@ -308,12 +308,6 @@  Deprecation Notices
   In this case the function will return -1 unless the environment is unset first
   (using ``rte_power_unset_env``). Other function usage scenarios will not change.
 
-* python: Since the beginning of 2020, Python 2 has officially reached
-  end-of-support: https://www.python.org/doc/sunset-python-2/.
-  Python 2 support will be completely removed in 20.11.
-  In 20.08, explicit deprecation warnings will be displayed when running
-  scripts with Python 2.
-
 * dpdk-setup.sh: This old script relies on deprecated stuff, and especially
   ``make``. Given environments are too much variables for such a simple script,
   it will be removed in DPDK 20.11.
diff --git a/doc/guides/rel_notes/release_20_11.rst b/doc/guides/rel_notes/release_20_11.rst
index cc726095a7..2eb83c8137 100644
--- a/doc/guides/rel_notes/release_20_11.rst
+++ b/doc/guides/rel_notes/release_20_11.rst
@@ -68,6 +68,8 @@  Removed Items
    Also, make sure to start the actual text at the margin.
    =======================================================
 
+* Removed python 2 support since it was EOL'd in January 2020.
+
 
 API Changes
 -----------